Loading...
Searching...
No Matches
openmpt_module_ext_interface_interactive3 Struct Reference
libopenmpt_ext C

`#include <libopenmpt/libopenmpt_ext.h>`

## Public Attributes

int(* | set_current_tempo2 )(openmpt_module_ext *mod_ext, double tempo)

## Member Data Documentation

## set_current_tempo2

int(* openmpt_module_ext_interface_interactive3::set_current_tempo2) (openmpt_module_ext *mod_ext, double tempo)

Set the current module tempo

Parameters

  mod_ext | The module handle to work on.
  tempo | The new tempo in range [32, 512]. The exact meaning of the value depends on the tempo mode used by the module.

Returns
  1 on success, 0 on failure.

Remarks
  The tempo may be reset by pattern commands at any time. Use openmpt_module_ext_interface_interactive::set_tempo_factor to apply a tempo factor that is independent of pattern commands.

See also
  openmpt_module_get_current_tempo2

The documentation for this struct was generated from the following file:

- libopenmpt/libopenmpt_ext.h